Bug 833120 - webadmin: when creating a direct lun for a vm I am able to select a different data center which the vm is not located on and I have no cluster selection
webadmin: when creating a direct lun for a vm I am able to select a different...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity low
: ---
: 3.1.0
Assigned To: Tal Nisan
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 12:07 EDT by Dafna Ron
Modified: 2016-02-10 12:10 EST (History)
8 users (show)

See Also:
Fixed In Version: SI9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs and screen shot (1.03 MB, application/x-gzip)
2012-06-18 12:10 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-18 12:07:45 EDT
Description of problem:

when creating a direct lun from the disks sub tab, I am able to select a different DC than the DC selected for the vm. 
once I start the vm it will start in the correct DC/cluster but I still have an open session to it in the wrong DC. 

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create two DC's
2. add a vm on one of the DC's
3. create a direct lun and select the second DC in the selection roller. 
4. run the vm 
  
Actual results:

lun will be logged in on both Data centers/clusters

Expected results:

when creating a direct lun for a specific vm we should filter other DC's/clusters from the ones vm was created on. 

Additional info:screen shot+logs
Comment 1 Dafna Ron 2012-06-18 12:10:56 EDT
Created attachment 592697 [details]
logs and screen shot
Comment 2 Tal Nisan 2012-06-26 08:38:31 EDT
http://gerrit.ovirt.org/5710
Comment 3 Dafna Ron 2012-07-08 11:23:50 EDT
Verified on si9.1

Note You need to log in before you can comment on or make changes to this bug.